dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > ОЧЕНЬ НУЖЕН LISP

ОЧЕНЬ НУЖЕН LISP

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 27.02.2004, 11:51 #1
ОЧЕНЬ НУЖЕН LISP
ilka_t
 
Москва
Регистрация: 20.01.2004
Сообщений: 154

ilka_t вне форума Вставить имя

при указании линии, он из нее брал ее длинну, а потом вставлял ее длинну, как число на указанный текст (заменяя его при етом).
Задавать точность, и ещебы задавать округление
Ни у кого такого нету?
А то я с LISPOM не дружу, и написать го сам не смогу, а работу бв он облегчил.
Заранее спасибо.
Просмотров: 1986
 
Непрочитано 27.02.2004, 14:52
#2
{Smirnoff}

Инженер по системам безопасности
 
Регистрация: 23.11.2003
Рига
Сообщений: 1,099


Поподробнее пожалуйста. Щелкаем на линии, потом щелкаем на тексте и он заменяеться на длинну линии? Или текст (новый) надо создавать, после щелчка на линии, двигать и вставлять куда надо?
{Smirnoff} вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 27.02.2004, 15:19
#3
ilka_t


 
Регистрация: 20.01.2004
Москва
Сообщений: 154


Все правильно :
*Щелкаем на линии, потом щелкаем на тексте и он заменяеться на длинну линии?*


Есть линия, есть текст. Выделяем линию, затем указываем на текст, и старыц текст заменяется на длину линии.
ilka_t вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.02.2004, 15:22
#4
{Smirnoff}

Инженер по системам безопасности
 
Регистрация: 23.11.2003
Рига
Сообщений: 1,099


Хорошо, сейчас схожу пообедаю, займемся.
{Smirnoff} вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.02.2004, 16:32
#5
{Smirnoff}

Инженер по системам безопасности
 
Регистрация: 23.11.2003
Рига
Сообщений: 1,099


Вот, работает для любых примитивов (слизано у Kos).:
Код:
[Выделить все]
(defun c:lex (/ cur_ent vla_obj len cur_text vla_text) 
  (setvar "cmdecho" 0) 
  (vl-load-com) 
  (while T 
    (setq cur_ent (car(entsel "Select Line: "))) 
    (setq vla_obj (vlax-ename->vla-object cur_ent)) 
      (setq len (vlax-curve-getDistAtParam vla_obj
(vlax-curve-getEndParam vla_obj))) 
    (terpri) 
    (setq cur_text (car(entsel "Select Text: ")))
      (setq vla_text (vlax-ename->vla-object cur_text))
  (vla-put-TextString vla_text (rtos len 2 2))
    (terpri) 
    );end while 
  (princ) 
  )
Точность можешь установить сам. (rtos len 2 2) - вместо 2-й двойки количество знаков после запятой. Никакой "защиты от дурака" нет. Если щелкнешь в пустоту или не по тексту, выдаст ошибку. Извини сейчас больше времени нет. Если что надо еще модифицировать, попозже модифицируем.
{Smirnoff} вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 27.02.2004, 17:13
#6
ilka_t


 
Регистрация: 20.01.2004
Москва
Сообщений: 154


Спасибо то что нужно .
ilka_t вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > ОЧЕНЬ НУЖЕН LISP

РЕВЕРС. Автоматическая пакетная печать множества рамок (форматов) из пространства модели и листов
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||